"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (_ref) {
  var Plugin = _ref.Plugin;
  var t = _ref.types;

  return new Plugin("array-includes", {
    metadata: {
      group: "builtin-post"
    },

    visitor: {
      CallExpression: function CallExpression(node, parent, scope, file) {
        var callee = this.get("callee");

        if (callee.isMemberExpression({ computed: false }) && callee.get("property").isIdentifier({ name: "includes" }) && callee.get("object").isGenericType("Array")) {

          callee.node.property.name = "indexOf";

          return t.logicalExpression(">=", node, t.literal(0));
        }
      }
    }
  });
};

module.exports = exports["default"];